<?php

namespace App\Git;

use DateTime;

class SimpleCommit
{

    public function __construct(
        private readonly string $hash,
        private readonly DateTime $date,
    )
    {
    }

    public function getHash(): string
    {
        return $this->hash;
    }

    public function getDate(): DateTime
    {
        return $this->date;
    }
}